import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

part 'app_mode_state.dart';

class AppModeCubit extends Cubit<AppModeState> {
  AppModeCubit({
    required int theme,
    required Brightness brightness,
  }) : super(
          AppModeState(
            theme: theme,
            brightness: brightness,
          ),
        );

  void changeTheme(int theme) {
    emit(state.copyWith(theme: theme));
  }

  void changeBrightness(Brightness brightness) {
    emit(state.copyWith(brightness: brightness));
  }
}
